Bug 189096 - [patch] make multimedia/gstreamer{,1}-plugins-{good,bad,ugly} respect ${_MAKE_JOBS} of bsd.port.mk
Summary: [patch] make multimedia/gstreamer{,1}-plugins-{good,bad,ugly} respect ${_MAKE...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-29 06:20 UTC by Jia-Shiun Li
Modified: 2014-07-26 07:23 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.81 KB, patch)
2014-04-29 06:20 UTC, Jia-Shiun Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jia-Shiun Li 2014-04-29 06:20:01 UTC
multimedia/gstreamer{,1}-plugins-{good,bad,ugly} have their own do-build targets since long ago and did not catch the MAKE_JOBS_* ports infrastructure update. So they do not make good use of multi-core CPUs on modern machines.

This patch brings these ports in line with others to use ${_MAKE_JOBS} flags when calling ${GMAKE}.

The end result is faster build on multi-core machines.

Fix: patch attached.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-29 06:20:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Mathieu Arnold freebsd_committer 2014-04-29 13:11:46 UTC
Responsible Changed
From-To: portmgr->multimedia

Give that to the right maintainer.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2014-05-04 04:20:27 UTC
Responsible Changed
From-To: multimedia->freebsd-multimedia

Canonicalize assignment.
Comment 4 commit-hook freebsd_committer 2014-07-26 07:23:58 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 26 07:23:16 UTC 2014
New revision: 362958
URL: http://svnweb.freebsd.org/changeset/ports/362958

Log:
  - Make gstreamer{,1}-plugins-{good,bad,ugly} respect MAKE_JOBS during build

  PR:		189096
  Submitted by:	jiashiun@gmail.com
  Approved by:	mentors (implicit)

Changes:
  head/multimedia/gstreamer-plugins-bad/Makefile
  head/multimedia/gstreamer-plugins-good/Makefile
  head/multimedia/gstreamer-plugins-ugly/Makefile
  head/multimedia/gstreamer1-plugins-bad/Makefile
  head/multimedia/gstreamer1-plugins-good/Makefile
  head/multimedia/gstreamer1-plugins-ugly/Makefile